Export (0) Print
Expand All
This topic has not yet been rated - Rate this topic

Application Server: The Application Server role requires Windows Server features

Updated: September 23, 2010

Applies To: Windows Server 2008 R2, Windows Server 2012

This topic is intended to address a specific issue identified by a Best Practices Analyzer scan. You should apply the information in this topic only to computers that have had the Application Server Best Practices Analyzer run against them and are experiencing the issue addressed by this topic. For more information about best practices and scans, see Best Practices Analyzer.

 

Operating System

Windows Server 2012

Windows Server 2008 R2

Product/Feature

Application Server role

Severity

Error

Category

Prerequisites

Windows Server features used by Windows Server AppFabric have been disabled.
AppFabric will not function correctly until the necessary Windows Server features are enabled.
Use Server Manager to enable the integrated version of .NET Framework.

Version 3.5 SP1 of the .NET Framework is integrated with Windows Server 2008 R2. Version 4 of the .NET Framework is installed with Visual Studio 2010.

The integrated version of the .NET Framework should be enabled when the AppFabric Hosting Services and AppFabric Hosting Administration are selected. If you experience the above issue, enable the integrated version of the .NET Framework as described below.

  1. In Windows Server 2008 R2, click Start, point to Administrative Tools, and then click Server Manager.

  2. Expand Roles and click Application Server.

  3. Click Add Role Services, select .NET Framework 3.5.1, and then click Install.

Install the .NET Framework (http://go.microsoft.com/fwlink/?LinkId=199798)

Did you find this helpful?
(1500 characters remaining)
Thank you for your feedback

Community Additions

ADD
Show:
© 2014 Microsoft. All rights reserved.